#<profile4xi profile = "10" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "_reset4xi.py">
#<abstract4xi abstract = "providing function _reset4xi"/>
#<refer4xi reference = "reduction.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = ['_reset4xi'] 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi   

import socket
import traceback
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
import _multiprocessing
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from _cache4xi import clear_cache4xi  
from _cache4xi import close_cache4xi
from _lock4xi import reset_lock4xi
from _listener4xi import reset_listener4xi


from register_after_fork4xi import register_after_fork4xi

from print4xi import print4xi
from time4xi import time4xi
#"
#/>



# -------------------------------------------------------------------------------------------------
#<function4xi function = "reset4x" usage = "
#
#   managers.py:
#       register_after_fork(_reset, _reset)
#   reduction.py
#       _reset(None)
#       register_after_fork(_reset, _reset)
#"> 
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def _reset4xi(obj):
    '''
    resets
    '''
    
    # -----------------------------------------------------------------------------------------    
    # (Step 1/6)
    # -----------------------------------------------------------------------------------------      
    class2print = "_reset4xi"
    method2print = "_reset4xi"

    
    message2print = "{started" + "; reset4xi-started: " + str(_reset4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    
    message2print = "{passed" + "; object-passed-to-reset4xi: " + str(obj) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
            
        
    # -----------------------------------------------------------------------------------------    
    # (Step 2/6)
    # -----------------------------------------------------------------------------------------        
    nack2close = True
    try:
        close_cache4xi()
        
        message2print = "{(Step 2/6a) performed" + "; close-cache4xi-performed-by-reset4xi: " + str(close_cache4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
        
        nack2close = False
                     
    except:
    
        message2print = "{(Step 2/6b) yielded" + "; nack2close-yielded-by-reset4xi: " + str(nack2close)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
         
    
    # -----------------------------------------------------------------------------------------    
    # (Step 3/6)
    # -----------------------------------------------------------------------------------------        
    nack2clear = True
    try:
        clear_cache4xi()  
          
        
        message2print = "{(Step 3/6a) performed" + "; clear-cache4xi-performed-by-reset4xi: " + str(clear_cache4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
    
        nack2clear = False
    except:
        message2print = "{(Step 3/6b) yielded" + "; nack2close-yielded-by-reset4xi: " + str(nack2close)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)            
    
    # -----------------------------------------------------------------------------------------    
    # (Step 4/6)
    # -----------------------------------------------------------------------------------------        
    nack2lock = True
    
    try:
        reset_lock4xi()
        
        
        message2print = "{(Step 4/6a) performed" + "; reset-lock4xi-performed-by-reset4xi: " + str(reset_lock4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
         
        nack2lock = False
    except:
        message2print = "{(Step 4/6b) yielded" + "; nack2lock -yielded-by-reset4xi: " + str(nack2lock )  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                  
    # -----------------------------------------------------------------------------------------    
    # (Step 5/6)
    # -----------------------------------------------------------------------------------------        
    nack2listener = True 
    try:
        reset_listener4xi()
    
        
        message2print = "{(Step 5/6a) performed" + "; reset-listener4xi-performed-by-reset4xi: " + str(reset_listener4xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)             
       
        nack2listener = False 
    except:
        message2print = "{(Step 5/6b) yielded" + "; nack2listener -yielded-by-reset4xi: " + str(nack2listener)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                 
    # -----------------------------------------------------------------------------------------    
    # (Step 6/6)
    # -----------------------------------------------------------------------------------------                   
    message2print = "{(Step 6/6) returning" + "; reset4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
                
#</function4xi>
    

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
_reset4xi(None)
#"
#"/>


register_after_fork4xi(_reset4xi, _reset4xi)


#</program4xi>


# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_reset4xi.txt
#   sense-test-reset4xi.xml
#   reason-test-reset4xi.xml
#   ace-test-reset4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of _reset4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
